Index: trunk/SophyaPI/PI/Makefile
===================================================================
--- trunk/SophyaPI/PI/Makefile	(revision 3075)
+++ trunk/SophyaPI/PI/Makefile	(revision 3076)
@@ -11,16 +11,19 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)lut.o: lut.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)lut.o: lut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h lut.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lut.cc
  
 $(SOPHYAOBJP)parradapter.o: parradapter.cc \
-  $(SOPHYAINCP)sopnamsp.h parradapter.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  parradapter.h \
   $(SOPHYAINCP)machdefs.h lut.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  parradapter.cc
  
 $(SOPHYAOBJP)pi3ddrw.o: pi3ddrw.cc \
-  $(SOPHYAINCP)sopnamsp.h pi3ddrw.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pi3ddrw.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -30,6 +33,7 @@
  
 $(SOPHYAOBJP)pi3dwdg.o: pi3dwdg.cc \
-  $(SOPHYAINCP)sopnamsp.h pi3dwdg.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pi3dwdg.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pi3ddrw.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
@@ -43,6 +47,7 @@
  
 $(SOPHYAOBJP)piapplgen.o: piapplgen.cc \
-  $(SOPHYAINCP)sopnamsp.h piapplgen.h \
-  pimsghandler.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piapplgen.h pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h \
   pisysdep.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
   picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
@@ -53,15 +58,16 @@
  
 $(SOPHYAOBJP)piapplx.o: piapplx.cc \
-  $(SOPHYAINCP)sopnamsp.h piapplx.h \
-  piapplgen.h pimsghandler.h \
-  $(SOPHYAINCP)machdefs.h pisysdep.h \
-  picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
-  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
-  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  $(SOPHYAINCP)sopnamsp.h \
+  piapplx.h piapplgen.h pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h \
+  pisysdep.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
+  picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapplx.cc
  
-$(SOPHYAOBJP)piaxes.o: piaxes.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)piaxes.o: piaxes.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h piaxes.h \
   pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
@@ -73,30 +79,31 @@
   $(SOPHYAINCP)sopnamsp.h piaxes.h \
   pigraphuc.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pigraphgen.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigratt.h \
-  piaxestools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
-  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
-  picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
-  picons.h pibwdgx.h pibwdggen.h pigraphx.h pievthandler.h psfile.h \
-  pigraphps.h piscdrawwdg.h pidrawer.h pieldrw.h
+  $(SOPHYAINCP)machdefs.h \
+  pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+  picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  pigratt.h piaxestools.h pistdwdgx.h pistdwdggen.h pioptmenux.h \
+  pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
+  picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
+  pimenubargen.h picons.h pibwdgx.h pibwdggen.h pigraphx.h pievthandler.h \
+  psfile.h pigraphps.h piscdrawwdg.h pidrawer.h pieldrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piaxestools.cc
  
 $(SOPHYAOBJP)pibargraph.o: pibargraph.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pibargraph.h \
-  pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pibargraph.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pibargraph.cc
  
 $(SOPHYAOBJP)pibwdggen.o: pibwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h pibwdggen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pidrawer.h pigratt.h \
-  piaxes.h pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pimenux.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pibwdggen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  pigraphuc.h pievthandler.h psfile.h pidrawer.h pigratt.h piaxes.h \
+  pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pimenux.h \
   pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
   picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
@@ -105,27 +112,31 @@
  
 $(SOPHYAOBJP)pibwdgx.o: pibwdgx.cc \
-  $(SOPHYAINCP)sopnamsp.h pixtbaseP.h \
-  pibwdgx.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pibwdggen.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h pixtbase.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pixtbaseP.h pibwdgx.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+  pixtbase.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pibwdgx.cc
  
-$(SOPHYAOBJP)picmap.o: picmap.cc $(SOPHYAINCP)sopnamsp.h \
-  picmap.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h picmapx.h \
-  picmapgen.h
+$(SOPHYAOBJP)picmap.o: picmap.cc \
+  $(SOPHYAINCP)sopnamsp.h picmap.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  picmapx.h picmapgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picmap.cc
  
 $(SOPHYAOBJP)picmapgen.o: picmapgen.cc \
-  $(SOPHYAINCP)sopnamsp.h picmapgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  picmapgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picmapx.h picmap.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picmapgen.cc
  
 $(SOPHYAOBJP)picmapview.o: picmapview.cc \
-  $(SOPHYAINCP)sopnamsp.h picmapview.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  picmapview.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -136,10 +147,13 @@
 $(SOPHYAOBJP)picmapx.o: picmapx.cc \
   $(SOPHYAINCP)sopnamsp.h piwdgx.h \
-  piwdggen.h $(SOPHYAINCP)machdefs.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
   pimsghandler.h picolist.h picmapx.h picmapgen.h pisysdep.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picmapx.cc
  
-$(SOPHYAOBJP)picons.o: picons.cc $(SOPHYAINCP)sopnamsp.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)picons.o: picons.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picons.h pistdwdgx.h pistdwdggen.h picontainerx.h picontainergen.h \
@@ -150,12 +164,14 @@
  
 $(SOPHYAOBJP)picontainergen.o: picontainergen.cc \
-  $(SOPHYAINCP)sopnamsp.h picontainergen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  picontainergen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picontainergen.cc
  
 $(SOPHYAOBJP)picontainerx.o: picontainerx.cc \
-  $(SOPHYAINCP)sopnamsp.h picontainerx.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  picontainerx.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picontainerx.cc
@@ -163,17 +179,19 @@
 $(SOPHYAOBJP)pidrawer.o: pidrawer.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pidrawer.h \
-  pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
-  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
-  pigratt.h piaxes.h pidrwtools.h pistdwdgx.h pistdwdggen.h pimenux.h \
-  pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
-  picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
-  pimenubargen.h picons.h pibwdgx.h pigraphps.h ucckprot.h
+  $(SOPHYAINCP)machdefs.h \
+  pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  pievthandler.h psfile.h pigratt.h piaxes.h pidrwtools.h pistdwdgx.h \
+  pistdwdggen.h pimenux.h pimenugen.h pioptmenux.h pioptmenugen.h \
+  piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piapplx.h \
+  piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h pigraphps.h \
+  ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pidrawer.cc
  
 $(SOPHYAOBJP)pidrawwin.o: pidrawwin.cc \
-  $(SOPHYAINCP)sopnamsp.h pidrawwin.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pidrawwin.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h piscdrawwdg.h pibwdgx.h \
@@ -185,6 +203,7 @@
  
 $(SOPHYAOBJP)pidrwtools.o: pidrwtools.cc \
-  $(SOPHYAINCP)sopnamsp.h pidrwtools.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pidrwtools.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   pimenux.h pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h \
@@ -199,14 +218,15 @@
 $(SOPHYAOBJP)pieldrw.o: pieldrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pieldrw.h \
-  pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pieldrw.h pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pieldrw.cc
  
 $(SOPHYAOBJP)pievthandler.o: pievthandler.cc \
-  $(SOPHYAINCP)sopnamsp.h pievthandler.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pievthandler.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pimsghandler.h piwdgx.h piwdggen.h picolist.h pigraphx.h pigraphgen.h \
   picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h \
@@ -215,36 +235,41 @@
  
 $(SOPHYAOBJP)pifilechogen.o: pifilechogen.cc \
-  $(SOPHYAINCP)sopnamsp.h pifilechogen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pifilechogen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifilechogen.cc
  
 $(SOPHYAOBJP)pifilechox.o: pifilechox.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h piapplx.h \
-  piapplgen.h pimsghandler.h picontainerx.h picontainergen.h piwdgx.h \
-  piwdggen.h picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h \
-  picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h \
-  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
-  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
-  pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  piapplx.h piapplgen.h pimsghandler.h picontainerx.h picontainergen.h \
+  piwdgx.h piwdggen.h picolist.h pimenubarx.h pimenubargen.h pimenux.h \
+  pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h \
+  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+  pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
+  pigraphps.h pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifilechox.cc
  
 $(SOPHYAOBJP)pifontgen.o: pifontgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifontgen.cc
  
 $(SOPHYAOBJP)pifontx.o: pifontx.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pifontx.h \
-  pifontgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pifontx.h pifontgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifontx.cc
  
 $(SOPHYAOBJP)pigraph3d.o: pigraph3d.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraph3d.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraph3d.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphuc.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h \
@@ -253,13 +278,15 @@
  
 $(SOPHYAOBJP)pigraphgen.o: pigraphgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h ucckprot.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigraphgen.cc
  
 $(SOPHYAOBJP)pigraphps.o: pigraphps.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphps.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphps.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
   picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
@@ -269,13 +296,14 @@
 $(SOPHYAOBJP)pigraphuc.o: pigraphuc.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pigraphuc.h \
-  pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
-  picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h ucckprot.h
+  $(SOPHYAINCP)machdefs.h \
+  pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
+  pigrcoord.h pilineatt.h ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigraphuc.cc
  
 $(SOPHYAOBJP)pigraphx.o: pigraphx.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphx.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphx.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
   picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h
@@ -283,21 +311,23 @@
  
 $(SOPHYAOBJP)pigratt.o: pigratt.cc \
-  $(SOPHYAINCP)sopnamsp.h pigratt.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigratt.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
   picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  $(SOPHYAINCP)strutilxx.h \
+  $(SOPHYAINCP)strutilxx.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigratt.cc
+ 
+$(SOPHYAOBJP)pigrcoord.o: pigrcoord.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigrcoord.h pisysdep.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigratt.cc
- 
-$(SOPHYAOBJP)pigrcoord.o: pigrcoord.cc \
-  $(SOPHYAINCP)sopnamsp.h pigrcoord.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigrcoord.cc
  
 $(SOPHYAOBJP)piimage.o: piimage.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h piimage.h \
-  parradapter.h lut.h pieldrw.h pidrawer.h pibwdggen.h piwdgx.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  piimage.h parradapter.h lut.h pieldrw.h pidrawer.h pibwdggen.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
   pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
@@ -311,6 +341,7 @@
  
 $(SOPHYAOBJP)piimgtools.o: piimgtools.cc \
-  $(SOPHYAINCP)sopnamsp.h piimgtools.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piimgtools.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
@@ -324,17 +355,19 @@
  
 $(SOPHYAOBJP)pilineatt.o: pilineatt.cc \
-  $(SOPHYAINCP)sopnamsp.h pilineatt.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pilineatt.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pilineatt.cc
  
 $(SOPHYAOBJP)pilistgen.o: pilistgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pilistgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pilistgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pilistgen.cc
  
 $(SOPHYAOBJP)pilistx.o: pilistx.cc \
-  $(SOPHYAINCP)sopnamsp.h pilistx.h \
-  pilistgen.h pisysdep.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pilistx.h pilistgen.h pisysdep.h \
   $(SOPHYAINCP)machdefs.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h picontainerx.h picontainergen.h
@@ -342,6 +375,7 @@
  
 $(SOPHYAOBJP)pimenubargen.o: pimenubargen.cc \
-  $(SOPHYAINCP)sopnamsp.h pimenubargen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimenubargen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   piapplx.h piapplgen.h picontainerx.h picontainergen.h pimenubarx.h \
@@ -352,60 +386,66 @@
  
 $(SOPHYAOBJP)pimenubarx.o: pimenubarx.cc \
-  $(SOPHYAINCP)sopnamsp.h pimenubarx.h \
-  pimenubargen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pimenux.h \
-  pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
-  piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
-  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimenubarx.h pimenubargen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+  piapplx.h piapplgen.h picontainerx.h picontainergen.h picons.h \
+  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenubarx.cc
+ 
+$(SOPHYAOBJP)pimenugen.o: pimenugen.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimenugen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenugen.cc
+ 
+$(SOPHYAOBJP)pimenux.o: pimenux.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenux.cc
+ 
+$(SOPHYAOBJP)pimsghandler.o: pimsghandler.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimsghandler.cc
+ 
+$(SOPHYAOBJP)pioptmenugen.o: pioptmenugen.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pioptmenugen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenugen.cc
+ 
+$(SOPHYAOBJP)pioptmenux.o: pioptmenux.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h pistdwdgx.h pistdwdggen.h piapplx.h \
+  piapplgen.h picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h \
+  picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
   pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
   pigraphuc.h pievthandler.h psfile.h pigraphps.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenubarx.cc
- 
-$(SOPHYAOBJP)pimenugen.o: pimenugen.cc \
-  $(SOPHYAINCP)sopnamsp.h pimenugen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenugen.cc
- 
-$(SOPHYAOBJP)pimenux.o: pimenux.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pimenubarx.h \
-  pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenux.cc
- 
-$(SOPHYAOBJP)pimsghandler.o: pimsghandler.cc \
-  $(SOPHYAINCP)sopnamsp.h pimsghandler.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimsghandler.cc
- 
-$(SOPHYAOBJP)pioptmenugen.o: pioptmenugen.cc \
-  $(SOPHYAINCP)sopnamsp.h pioptmenugen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenugen.cc
- 
-$(SOPHYAOBJP)pioptmenux.o: pioptmenux.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pioptmenux.h \
-  pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h pistdwdgx.h pistdwdggen.h piapplx.h piapplgen.h \
-  picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h picons.h \
-  pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
-  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
-  pievthandler.h psfile.h pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenux.cc
  
 $(SOPHYAOBJP)piperiodx.o: piperiodx.cc \
   $(SOPHYAINCP)sopnamsp.h piwdgx.h \
-  piwdggen.h $(SOPHYAINCP)machdefs.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
   pimsghandler.h picolist.h piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piperiodx.cc
  
 $(SOPHYAOBJP)pipixmapgen.o: pipixmapgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pipixmapgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pipixmapgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -415,18 +455,19 @@
  
 $(SOPHYAOBJP)pipixmapx.o: pipixmapx.cc \
-  $(SOPHYAINCP)sopnamsp.h pipixmapx.h \
-  pipixmapgen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pibwdgx.h \
-  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
-  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
-  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pipixmapx.h pipixmapgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+  pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
+  pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipixmapx.cc
  
 $(SOPHYAOBJP)piscdrawwdg.o: piscdrawwdg.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piscdrawwdg.h \
-  pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  piscdrawwdg.h pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h \
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h pidrawer.h \
@@ -437,23 +478,25 @@
  
 $(SOPHYAOBJP)pistdwdggen.o: pistdwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h pistdwdggen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pistdwdggen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdwdggen.cc
  
 $(SOPHYAOBJP)pistdwdgx.o: pistdwdgx.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pistdwdgx.h \
-  pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picontainerx.h picontainergen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdwdgx.cc
  
 $(SOPHYAOBJP)pistzwin.o: pistzwin.cc \
-  $(SOPHYAINCP)sopnamsp.h pistzwin.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pistzwin.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)machdefs.h psfile.h \
+  $(SOPHYAINCP)periodic.h psfile.h \
   pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
   pigrcoord.h pilineatt.h
@@ -461,7 +504,8 @@
  
 $(SOPHYAOBJP)pisurfdr.o: pisurfdr.cc \
-  $(SOPHYAINCP)sopnamsp.h pisurfdr.h \
-  parradapter.h $(SOPHYAINCP)machdefs.h \
-  lut.h pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisurfdr.h parradapter.h \
+  $(SOPHYAINCP)machdefs.h lut.h \
+  pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
   pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
   pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
@@ -470,6 +514,7 @@
  
 $(SOPHYAOBJP)pitherm.o: pitherm.cc \
-  $(SOPHYAINCP)sopnamsp.h pitherm.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitherm.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -480,32 +525,34 @@
 $(SOPHYAOBJP)pitxtdrw.o: pitxtdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pitxtdrw.h \
-  pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pitxtdrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitxtdrw.cc
  
 $(SOPHYAOBJP)piwdggen.o: piwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h psfile.h
+  $(SOPHYAINCP)sopnamsp.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainergen.h pisysdep.h piwdgx.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h psfile.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piwdggen.cc
  
-$(SOPHYAOBJP)piwdgx.o: piwdgx.cc $(SOPHYAINCP)sopnamsp.h \
-  piwdgx.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainerx.h pisysdep.h picontainergen.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)piwdgx.o: piwdgx.cc \
+  $(SOPHYAINCP)sopnamsp.h piwdgx.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainerx.h pisysdep.h picontainergen.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piwdgx.cc
  
 $(SOPHYAOBJP)piwindowgen.o: piwindowgen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h \
@@ -514,16 +561,17 @@
  
 $(SOPHYAOBJP)piwindowx.o: piwindowx.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowx.h \
-  piwindowgen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h picontainerx.h \
-  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowx.h piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piwindowx.cc
  
 $(SOPHYAOBJP)pixtbase.o: pixtbase.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pixtbaseP.h \
-  pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigraphps.h pixtbase.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pixtbase.cc
@@ -531,13 +579,14 @@
 $(SOPHYAOBJP)piyfxdrw.o: piyfxdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piyfxdrw.h \
-  pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h piwdgx.h \
-  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
+  $(SOPHYAINCP)machdefs.h \
+  piyfxdrw.h pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h \
+  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piyfxdrw.cc
  
-$(SOPHYAOBJP)psfile.o: psfile.cc $(SOPHYAINCP)sopnamsp.h \
-  psfile.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)psfile.o: psfile.cc \
+  $(SOPHYAINCP)sopnamsp.h psfile.h \
+  $(SOPHYAINCP)machdefs.h \
   pisysdep.h pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h picmap.h picmapx.h picmapgen.h pifontx.h pigrcoord.h \
Index: trunk/SophyaPI/PI/smakefile
===================================================================
--- trunk/SophyaPI/PI/smakefile	(revision 3075)
+++ trunk/SophyaPI/PI/smakefile	(revision 3076)
@@ -11,16 +11,19 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
  
-$(SOPHYAOBJP)lut.o: lut.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)lut.o: lut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h lut.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  lut.cc
  
 $(SOPHYAOBJP)parradapter.o: parradapter.cc \
-  $(SOPHYAINCP)sopnamsp.h parradapter.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  parradapter.h \
   $(SOPHYAINCP)machdefs.h lut.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  parradapter.cc
  
 $(SOPHYAOBJP)pi3ddrw.o: pi3ddrw.cc \
-  $(SOPHYAINCP)sopnamsp.h pi3ddrw.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pi3ddrw.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -30,6 +33,7 @@
  
 $(SOPHYAOBJP)pi3dwdg.o: pi3dwdg.cc \
-  $(SOPHYAINCP)sopnamsp.h pi3dwdg.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pi3dwdg.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pi3ddrw.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
@@ -43,6 +47,7 @@
  
 $(SOPHYAOBJP)piapplgen.o: piapplgen.cc \
-  $(SOPHYAINCP)sopnamsp.h piapplgen.h \
-  pimsghandler.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piapplgen.h pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h \
   pisysdep.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
   picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
@@ -53,15 +58,16 @@
  
 $(SOPHYAOBJP)piapplx.o: piapplx.cc \
-  $(SOPHYAINCP)sopnamsp.h piapplx.h \
-  piapplgen.h pimsghandler.h \
-  $(SOPHYAINCP)machdefs.h pisysdep.h \
-  picontainerx.h picontainergen.h piwdgx.h piwdggen.h picolist.h \
-  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
-  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  $(SOPHYAINCP)sopnamsp.h \
+  piapplx.h piapplgen.h pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h \
+  pisysdep.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
+  picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h picons.h \
+  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piapplx.cc
  
-$(SOPHYAOBJP)piaxes.o: piaxes.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)piaxes.o: piaxes.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h piaxes.h \
   pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
@@ -73,30 +79,31 @@
   $(SOPHYAINCP)sopnamsp.h piaxes.h \
   pigraphuc.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pigraphgen.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigratt.h \
-  piaxestools.h pistdwdgx.h pistdwdggen.h pioptmenux.h pioptmenugen.h \
-  pimenux.h pimenugen.h piwindowx.h piwindowgen.h picontainerx.h \
-  picontainergen.h piapplx.h piapplgen.h pimenubarx.h pimenubargen.h \
-  picons.h pibwdgx.h pibwdggen.h pigraphx.h pievthandler.h psfile.h \
-  pigraphps.h piscdrawwdg.h pidrawer.h pieldrw.h
+  $(SOPHYAINCP)machdefs.h \
+  pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+  picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  pigratt.h piaxestools.h pistdwdgx.h pistdwdggen.h pioptmenux.h \
+  pioptmenugen.h pimenux.h pimenugen.h piwindowx.h piwindowgen.h \
+  picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
+  pimenubargen.h picons.h pibwdgx.h pibwdggen.h pigraphx.h pievthandler.h \
+  psfile.h pigraphps.h piscdrawwdg.h pidrawer.h pieldrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piaxestools.cc
  
 $(SOPHYAOBJP)pibargraph.o: pibargraph.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pibargraph.h \
-  pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pibargraph.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pibargraph.cc
  
 $(SOPHYAOBJP)pibwdggen.o: pibwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h pibwdggen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pidrawer.h pigratt.h \
-  piaxes.h pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pimenux.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pibwdggen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  pigraphuc.h pievthandler.h psfile.h pidrawer.h pigratt.h piaxes.h \
+  pigraphps.h pidrwtools.h pistdwdgx.h pistdwdggen.h pimenux.h \
   pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
   picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
@@ -105,27 +112,31 @@
  
 $(SOPHYAOBJP)pibwdgx.o: pibwdgx.cc \
-  $(SOPHYAINCP)sopnamsp.h pixtbaseP.h \
-  pibwdgx.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pibwdggen.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h pixtbase.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pixtbaseP.h pibwdgx.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
+  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
+  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
+  pixtbase.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pibwdgx.cc
  
-$(SOPHYAOBJP)picmap.o: picmap.cc $(SOPHYAINCP)sopnamsp.h \
-  picmap.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h picmapx.h \
-  picmapgen.h
+$(SOPHYAOBJP)picmap.o: picmap.cc \
+  $(SOPHYAINCP)sopnamsp.h picmap.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  picmapx.h picmapgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picmap.cc
  
 $(SOPHYAOBJP)picmapgen.o: picmapgen.cc \
-  $(SOPHYAINCP)sopnamsp.h picmapgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  picmapgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picmapx.h picmap.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picmapgen.cc
  
 $(SOPHYAOBJP)picmapview.o: picmapview.cc \
-  $(SOPHYAINCP)sopnamsp.h picmapview.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  picmapview.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -136,10 +147,13 @@
 $(SOPHYAOBJP)picmapx.o: picmapx.cc \
   $(SOPHYAINCP)sopnamsp.h piwdgx.h \
-  piwdggen.h $(SOPHYAINCP)machdefs.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
   pimsghandler.h picolist.h picmapx.h picmapgen.h pisysdep.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picmapx.cc
  
-$(SOPHYAOBJP)picons.o: picons.cc $(SOPHYAINCP)sopnamsp.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)picons.o: picons.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picons.h pistdwdgx.h pistdwdggen.h picontainerx.h picontainergen.h \
@@ -150,12 +164,14 @@
  
 $(SOPHYAOBJP)picontainergen.o: picontainergen.cc \
-  $(SOPHYAINCP)sopnamsp.h picontainergen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  picontainergen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picontainergen.cc
  
 $(SOPHYAOBJP)picontainerx.o: picontainerx.cc \
-  $(SOPHYAINCP)sopnamsp.h picontainerx.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  picontainerx.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picontainerx.cc
@@ -163,17 +179,19 @@
 $(SOPHYAOBJP)pidrawer.o: pidrawer.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pidrawer.h \
-  pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
-  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
-  pigratt.h piaxes.h pidrwtools.h pistdwdgx.h pistdwdggen.h pimenux.h \
-  pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h piwindowgen.h \
-  picontainerx.h picontainergen.h piapplx.h piapplgen.h pimenubarx.h \
-  pimenubargen.h picons.h pibwdgx.h pigraphps.h ucckprot.h
+  $(SOPHYAINCP)machdefs.h \
+  pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  pievthandler.h psfile.h pigratt.h piaxes.h pidrwtools.h pistdwdgx.h \
+  pistdwdggen.h pimenux.h pimenugen.h pioptmenux.h pioptmenugen.h \
+  piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piapplx.h \
+  piapplgen.h pimenubarx.h pimenubargen.h picons.h pibwdgx.h pigraphps.h \
+  ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pidrawer.cc
  
 $(SOPHYAOBJP)pidrawwin.o: pidrawwin.cc \
-  $(SOPHYAINCP)sopnamsp.h pidrawwin.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pidrawwin.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h piscdrawwdg.h pibwdgx.h \
@@ -185,6 +203,7 @@
  
 $(SOPHYAOBJP)pidrwtools.o: pidrwtools.cc \
-  $(SOPHYAINCP)sopnamsp.h pidrwtools.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pidrwtools.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   pimenux.h pimenugen.h pioptmenux.h pioptmenugen.h piwindowx.h \
@@ -199,14 +218,15 @@
 $(SOPHYAOBJP)pieldrw.o: pieldrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pieldrw.h \
-  pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pieldrw.h pidrawer.h pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pieldrw.cc
  
 $(SOPHYAOBJP)pievthandler.o: pievthandler.cc \
-  $(SOPHYAINCP)sopnamsp.h pievthandler.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pievthandler.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pimsghandler.h piwdgx.h piwdggen.h picolist.h pigraphx.h pigraphgen.h \
   picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h \
@@ -215,36 +235,41 @@
  
 $(SOPHYAOBJP)pifilechogen.o: pifilechogen.cc \
-  $(SOPHYAINCP)sopnamsp.h pifilechogen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pifilechogen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifilechogen.cc
  
 $(SOPHYAOBJP)pifilechox.o: pifilechox.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h piapplx.h \
-  piapplgen.h pimsghandler.h picontainerx.h picontainergen.h piwdgx.h \
-  piwdggen.h picolist.h pimenubarx.h pimenubargen.h pimenux.h pimenugen.h \
-  picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h \
-  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
-  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h \
-  pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  piapplx.h piapplgen.h pimsghandler.h picontainerx.h picontainergen.h \
+  piwdgx.h piwdggen.h picolist.h pimenubarx.h pimenubargen.h pimenux.h \
+  pimenugen.h picons.h pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h \
+  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+  pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
+  pigraphps.h pifilechox.h pifilechogen.h piwindowx.h piwindowgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifilechox.cc
  
 $(SOPHYAOBJP)pifontgen.o: pifontgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifontgen.cc
  
 $(SOPHYAOBJP)pifontx.o: pifontx.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pifontx.h \
-  pifontgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pifontx.h pifontgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pifontx.cc
  
 $(SOPHYAOBJP)pigraph3d.o: pigraph3d.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraph3d.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraph3d.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphuc.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h \
@@ -253,13 +278,15 @@
  
 $(SOPHYAOBJP)pigraphgen.o: pigraphgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
-  picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h ucckprot.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigraphgen.cc
  
 $(SOPHYAOBJP)pigraphps.o: pigraphps.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphps.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphps.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
   picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
@@ -269,13 +296,14 @@
 $(SOPHYAOBJP)pigraphuc.o: pigraphuc.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pigraphuc.h \
-  pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
-  picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h \
-  pilineatt.h ucckprot.h
+  $(SOPHYAINCP)machdefs.h \
+  pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h picmap.h picmapx.h picmapgen.h pifontx.h pifontgen.h \
+  pigrcoord.h pilineatt.h ucckprot.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigraphuc.cc
  
 $(SOPHYAOBJP)pigraphx.o: pigraphx.cc \
-  $(SOPHYAINCP)sopnamsp.h pigraphx.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigraphx.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
   picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h
@@ -283,21 +311,23 @@
  
 $(SOPHYAOBJP)pigratt.o: pigratt.cc \
-  $(SOPHYAINCP)sopnamsp.h pigratt.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigratt.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
   picmapx.h picmapgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  $(SOPHYAINCP)strutilxx.h \
+  $(SOPHYAINCP)strutilxx.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigratt.cc
+ 
+$(SOPHYAOBJP)pigrcoord.o: pigrcoord.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pigrcoord.h pisysdep.h \
   $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigratt.cc
- 
-$(SOPHYAOBJP)pigrcoord.o: pigrcoord.cc \
-  $(SOPHYAINCP)sopnamsp.h pigrcoord.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigrcoord.cc
  
 $(SOPHYAOBJP)piimage.o: piimage.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h piimage.h \
-  parradapter.h lut.h pieldrw.h pidrawer.h pibwdggen.h piwdgx.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  piimage.h parradapter.h lut.h pieldrw.h pidrawer.h pibwdggen.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
   pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
@@ -311,6 +341,7 @@
  
 $(SOPHYAOBJP)piimgtools.o: piimgtools.cc \
-  $(SOPHYAINCP)sopnamsp.h piimgtools.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piimgtools.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwindowx.h \
@@ -324,17 +355,19 @@
  
 $(SOPHYAOBJP)pilineatt.o: pilineatt.cc \
-  $(SOPHYAINCP)sopnamsp.h pilineatt.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pilineatt.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pilineatt.cc
  
 $(SOPHYAOBJP)pilistgen.o: pilistgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pilistgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pilistgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pilistgen.cc
  
 $(SOPHYAOBJP)pilistx.o: pilistx.cc \
-  $(SOPHYAINCP)sopnamsp.h pilistx.h \
-  pilistgen.h pisysdep.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pilistx.h pilistgen.h pisysdep.h \
   $(SOPHYAINCP)machdefs.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h picontainerx.h picontainergen.h
@@ -342,6 +375,7 @@
  
 $(SOPHYAOBJP)pimenubargen.o: pimenubargen.cc \
-  $(SOPHYAINCP)sopnamsp.h pimenubargen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimenubargen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   piapplx.h piapplgen.h picontainerx.h picontainergen.h pimenubarx.h \
@@ -352,60 +386,66 @@
  
 $(SOPHYAOBJP)pimenubarx.o: pimenubarx.cc \
-  $(SOPHYAINCP)sopnamsp.h pimenubarx.h \
-  pimenubargen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pimenux.h \
-  pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h piapplx.h \
-  piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
-  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimenubarx.h pimenubargen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+  piapplx.h piapplgen.h picontainerx.h picontainergen.h picons.h \
+  pistdwdgx.h pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenubarx.cc
+ 
+$(SOPHYAOBJP)pimenugen.o: pimenugen.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimenugen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenugen.cc
+ 
+$(SOPHYAOBJP)pimenux.o: pimenux.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimenubarx.h pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenux.cc
+ 
+$(SOPHYAOBJP)pimsghandler.o: pimsghandler.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimsghandler.cc
+ 
+$(SOPHYAOBJP)pioptmenugen.o: pioptmenugen.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pioptmenugen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenugen.cc
+ 
+$(SOPHYAOBJP)pioptmenux.o: pioptmenux.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pioptmenux.h pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h pistdwdgx.h pistdwdggen.h piapplx.h \
+  piapplgen.h picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h \
+  picons.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
   pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
   pigraphuc.h pievthandler.h psfile.h pigraphps.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenubarx.cc
- 
-$(SOPHYAOBJP)pimenugen.o: pimenugen.cc \
-  $(SOPHYAINCP)sopnamsp.h pimenugen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenugen.cc
- 
-$(SOPHYAOBJP)pimenux.o: pimenux.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pimenubarx.h \
-  pimenubargen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimenux.cc
- 
-$(SOPHYAOBJP)pimsghandler.o: pimsghandler.cc \
-  $(SOPHYAINCP)sopnamsp.h pimsghandler.h \
-  $(SOPHYAINCP)machdefs.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pimsghandler.cc
- 
-$(SOPHYAOBJP)pioptmenugen.o: pioptmenugen.cc \
-  $(SOPHYAINCP)sopnamsp.h pioptmenugen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenugen.cc
- 
-$(SOPHYAOBJP)pioptmenux.o: pioptmenux.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pioptmenux.h \
-  pioptmenugen.h pimenux.h pimenugen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h pistdwdgx.h pistdwdggen.h piapplx.h piapplgen.h \
-  picontainerx.h picontainergen.h pimenubarx.h pimenubargen.h picons.h \
-  pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h \
-  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
-  pievthandler.h psfile.h pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pioptmenux.cc
  
 $(SOPHYAOBJP)piperiodx.o: piperiodx.cc \
   $(SOPHYAINCP)sopnamsp.h piwdgx.h \
-  piwdggen.h $(SOPHYAINCP)machdefs.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
   pimsghandler.h picolist.h piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)periodic.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piperiodx.cc
  
 $(SOPHYAOBJP)pipixmapgen.o: pipixmapgen.cc \
-  $(SOPHYAINCP)sopnamsp.h pipixmapgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pipixmapgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -415,18 +455,19 @@
  
 $(SOPHYAOBJP)pipixmapx.o: pipixmapx.cc \
-  $(SOPHYAINCP)sopnamsp.h pipixmapx.h \
-  pipixmapgen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pibwdgx.h \
-  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h \
-  picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h \
-  pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h pigraphps.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pipixmapx.h pipixmapgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+  picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
+  pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
+  pigraphps.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipixmapx.cc
  
 $(SOPHYAOBJP)piscdrawwdg.o: piscdrawwdg.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piscdrawwdg.h \
-  pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  piscdrawwdg.h pisysdep.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h \
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h pidrawer.h \
@@ -437,23 +478,25 @@
  
 $(SOPHYAOBJP)pistdwdggen.o: pistdwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h pistdwdggen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
-  piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  pistdwdggen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h piwdgx.h \
+  piwdggen.h pimsghandler.h picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdwdggen.cc
  
 $(SOPHYAOBJP)pistdwdgx.o: pistdwdgx.cc \
-  $(SOPHYAINCP)sopnamsp.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h pistdwdgx.h \
-  pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  pistdwdgx.h pistdwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picontainerx.h picontainergen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdwdgx.cc
  
 $(SOPHYAOBJP)pistzwin.o: pistzwin.cc \
-  $(SOPHYAINCP)sopnamsp.h pistzwin.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pistzwin.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   piwindowx.h piwindowgen.h picontainerx.h picontainergen.h piwdgx.h \
   piwdggen.h pimsghandler.h picolist.h piperiodx.h \
-  $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)machdefs.h psfile.h \
+  $(SOPHYAINCP)periodic.h psfile.h \
   pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
   pigrcoord.h pilineatt.h
@@ -461,7 +504,8 @@
  
 $(SOPHYAOBJP)pisurfdr.o: pisurfdr.cc \
-  $(SOPHYAINCP)sopnamsp.h pisurfdr.h \
-  parradapter.h $(SOPHYAINCP)machdefs.h \
-  lut.h pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisurfdr.h parradapter.h \
+  $(SOPHYAINCP)machdefs.h lut.h \
+  pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
   pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
   pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
@@ -470,6 +514,7 @@
  
 $(SOPHYAOBJP)pitherm.o: pitherm.cc \
-  $(SOPHYAINCP)sopnamsp.h pitherm.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitherm.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
@@ -480,32 +525,34 @@
 $(SOPHYAOBJP)pitxtdrw.o: pitxtdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pitxtdrw.h \
-  pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pitxtdrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitxtdrw.cc
  
 $(SOPHYAOBJP)piwdggen.o: piwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h psfile.h
+  $(SOPHYAINCP)sopnamsp.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainergen.h pisysdep.h piwdgx.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h psfile.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piwdggen.cc
  
-$(SOPHYAOBJP)piwdgx.o: piwdgx.cc $(SOPHYAINCP)sopnamsp.h \
-  piwdgx.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainerx.h pisysdep.h picontainergen.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h
+$(SOPHYAOBJP)piwdgx.o: piwdgx.cc \
+  $(SOPHYAINCP)sopnamsp.h piwdgx.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainerx.h pisysdep.h picontainergen.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piwdgx.cc
  
 $(SOPHYAOBJP)piwindowgen.o: piwindowgen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h \
@@ -514,16 +561,17 @@
  
 $(SOPHYAOBJP)piwindowx.o: piwindowx.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowx.h \
-  piwindowgen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h picontainerx.h \
-  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowx.h piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piwindowx.cc
  
 $(SOPHYAOBJP)pixtbase.o: pixtbase.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pixtbaseP.h \
-  pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigraphps.h pixtbase.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pixtbase.cc
@@ -531,13 +579,14 @@
 $(SOPHYAOBJP)piyfxdrw.o: piyfxdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piyfxdrw.h \
-  pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h piwdgx.h \
-  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
+  $(SOPHYAINCP)machdefs.h \
+  piyfxdrw.h pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h \
+  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piyfxdrw.cc
  
-$(SOPHYAOBJP)psfile.o: psfile.cc $(SOPHYAINCP)sopnamsp.h \
-  psfile.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)psfile.o: psfile.cc \
+  $(SOPHYAINCP)sopnamsp.h psfile.h \
+  $(SOPHYAINCP)machdefs.h \
   pisysdep.h pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h picmap.h picmapx.h picmapgen.h pifontx.h pigrcoord.h \
Index: trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- trunk/SophyaPI/PIGcont/Makefile	(revision 3075)
+++ trunk/SophyaPI/PIGcont/Makefile	(revision 3076)
@@ -13,10 +13,9 @@
 $(SOPHYAOBJP)picntools.o: picntools.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)machdefs.h \
+  picntools.h \
   $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -27,5 +26,4 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -52,9 +50,7 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -70,5 +66,4 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
-  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -100,6 +95,7 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+  $(SOPHYAINCP)ntupintf.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picntools.cc
  
@@ -109,5 +105,4 @@
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -138,5 +133,4 @@
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -147,5 +141,4 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -172,9 +165,7 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -190,5 +181,4 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
-  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -207,6 +197,7 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+  $(SOPHYAINCP)piscdrawwdg.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigncont.cc
  
Index: trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- trunk/SophyaPI/PIGcont/smakefile	(revision 3075)
+++ trunk/SophyaPI/PIGcont/smakefile	(revision 3076)
@@ -13,10 +13,9 @@
 $(SOPHYAOBJP)picntools.o: picntools.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)machdefs.h \
+  picntools.h \
   $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -27,5 +26,4 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -52,9 +50,7 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -70,5 +66,4 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
-  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -100,6 +95,7 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+  $(SOPHYAINCP)ntupintf.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  picntools.cc
  
@@ -109,5 +105,4 @@
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -138,5 +133,4 @@
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -147,5 +141,4 @@
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
@@ -172,9 +165,7 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
-  $(SOPHYAINCP)piwindowx.h \
-  $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
@@ -190,5 +181,4 @@
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
-  $(SOPHYAINCP)picmapview.h \
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
@@ -207,6 +197,7 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
+  $(SOPHYAINCP)piscdrawwdg.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigncont.cc
  
